#
# spec file for package jcodings
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global cluster jruby
Name:           jcodings
Version:        1.0.12
Release:        3.6
Summary:        Java-based codings helper classes for Joni and JRuby
License:        MIT
Group:          Development/Libraries/Java
URL:            https://github.com/jruby/jcodings
Source0:        https://github.com/jruby/jcodings/archive/%{version}.tar.gz
BuildRequires:  ant
BuildRequires:  java-devel >= 1.8
BuildRequires:  javapackages-tools
Requires:       java >= 1.8
Requires:       javapackages-tools
BuildArch:      noarch

%description
%{name}: java-based codings helper classes for Joni and JRuby.

%prep
%setup -q

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build
echo "See %{url} for more info about the %{name} project." > README.txt

ant -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8

%install
mkdir -p %{buildroot}%{_javadir}

cp -p target/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
pushd %{buildroot}%{_javadir}/
  ln -s %{name}-%{version}.jar %{name}.jar
popd

%files
%{_javadir}/*
%doc README.txt

%changelog
* Mon Mar 21 2022 Fridrich Strba <fstrba@suse.com>
- Specify java source and target 1.8
* Mon Sep 18 2017 fstrba@suse.com
- Fix build with jdk9: specify java source and target 1.6
* Wed Jan 28 2015 p.drouand@gmail.com
- Update to version 1.12
  * No changelog available
- Cleanup a bit the specfile
* Fri Jun 27 2014 tchvatal@suse.com
- Cleanup with spec-cleaner
- Build on SLE11
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Thu Apr 22 2010 mvyskocil@suse.de
- created package
